<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CS 250 Data Structures: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CS 250 Data Structures
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceUtility.html">Utility</a></li><li class="navelem"><a class="el" href="classUtility_1_1Logger.html">Logger</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Utility::Logger Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classUtility_1_1Logger.html">Utility::Logger</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classUtility_1_1Logger.html#afdd8c7774d9a137c38b818e03e1e40bf">Cleanup</a>()</td><td class="entry"><a class="el" href="classUtility_1_1Logger.html">Utility::Logger</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classUtility_1_1Logger.html#abd822b2b9762c5d1e8f055474a315915">Error</a>(const std::string &amp;message, const std::string &amp;location=&quot;&quot;)</td><td class="entry"><a class="el" href="classUtility_1_1Logger.html">Utility::Logger</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classUtility_1_1Logger.html#a263c009bbbb489f1dd49a19d26c72964">GetFormattedTimestamp</a>()</td><td class="entry"><a class="el" href="classUtility_1_1Logger.html">Utility::Logger</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classUtility_1_1Logger.html#a26eb00a3744474f3a12b6af9c971d2e6">GetTimestamp</a>()</td><td class="entry"><a class="el" href="classUtility_1_1Logger.html">Utility::Logger</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classUtility_1_1Logger.html#a01464eba9e25b663f61fbbeb5355141a">m_categoryFilter</a></td><td class="entry"><a class="el" href="classUtility_1_1Logger.html">Utility::Logger</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classUtility_1_1Logger.html#abccb6a2b9296a134cb759cc59fb75564">m_file</a></td><td class="entry"><a class="el" href="classUtility_1_1Logger.html">Utility::Logger</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classUtility_1_1Logger.html#a36ef074cbc2b094b41a6e3f225c06b7c">m_isLoud</a></td><td class="entry"><a class="el" href="classUtility_1_1Logger.html">Utility::Logger</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classUtility_1_1Logger.html#a7673deb3382e09c9c5eebccc4bec9bdb">m_lastTimestamp</a></td><td class="entry"><a class="el" href="classUtility_1_1Logger.html">Utility::Logger</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classUtility_1_1Logger.html#abf0a351613f146b01748b3dc1f57f72a">m_logLevel</a></td><td class="entry"><a class="el" href="classUtility_1_1Logger.html">Utility::Logger</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classUtility_1_1Logger.html#a3d6e40522c61156cadaf950e3b30ed2b">m_rowCount</a></td><td class="entry"><a class="el" href="classUtility_1_1Logger.html">Utility::Logger</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classUtility_1_1Logger.html#a458eb41594652d9da38259783c89787c">m_startTime</a></td><td class="entry"><a class="el" href="classUtility_1_1Logger.html">Utility::Logger</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classUtility_1_1Logger.html#aec28e67f1878f0ff62b7c4785b644097">Out</a>(const std::string &amp;message, const std::string &amp;location=&quot;&quot;, const std::string &amp;category=&quot;&quot;, bool condition=true, int level=0)</td><td class="entry"><a class="el" href="classUtility_1_1Logger.html">Utility::Logger</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classUtility_1_1Logger.html#a084fbcd19701dc0b69c7549bef4c667f">OutHighlight</a>(const std::string &amp;message, const std::string &amp;location=&quot;&quot;, int color=1)</td><td class="entry"><a class="el" href="classUtility_1_1Logger.html">Utility::Logger</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classUtility_1_1Logger.html#aef4b625028bd32fe7305d3072e35c45f">SetFilterWord</a>(const std::string &amp;filter)</td><td class="entry"><a class="el" href="classUtility_1_1Logger.html">Utility::Logger</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classUtility_1_1Logger.html#a20db55a66f96285d43eb445f9bf89b00">SetLogLevel</a>(int val)</td><td class="entry"><a class="el" href="classUtility_1_1Logger.html">Utility::Logger</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classUtility_1_1Logger.html#ad24da90a29a947afcfa195a76f777b76">Setup</a>(bool loud=false)</td><td class="entry"><a class="el" href="classUtility_1_1Logger.html">Utility::Logger</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classUtility_1_1Logger.html#a8e87097092d5f6475eba1955fb8b85e5">Setup</a>(int logLevel, const std::string &amp;filter)</td><td class="entry"><a class="el" href="classUtility_1_1Logger.html">Utility::Logger</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
